#[cfg(test)]
mod tests {
    use crate::compression_engine::CompressionEngine;
    use crate::compression_engine::gzip::CompressionEngineGZip;
    use crate::tests::common::test_helpers::test_compression_engine;

    #[test]
    fn test_compression_engine_gzip() {
        let test_data = b"test compression data";
        let engine = CompressionEngineGZip {};
        assert!(engine.is_supported());
        test_compression_engine(&engine, test_data);
    }

    #[test]
    fn test_compression_engine_gzip_empty_data() {
        let test_data = b"";
        let engine = CompressionEngineGZip {};
        test_compression_engine(&engine, test_data);
    }
}
